{
  "condition": "any_of",
  "terms": [
    {
      "condition": "minecraft:all_of",
      "terms": [
        {
          "condition": "minecraft:entity_properties",
          "entity": "attacking_player",
          "predicate": {
            "slots": {
              "weapon.mainhand": {
                "items": "#overly_realistic:corpse_harvest_level_0"
              }
            }
          }
        },
        {
          "condition": "minecraft:random_chance",
          "chance": 0.38
        }
      ]
    },
    {
      "condition": "minecraft:all_of",
      "terms": [
        {
          "condition": "minecraft:entity_properties",
          "entity": "attacking_player",
          "predicate": {
            "slots": {
              "weapon.mainhand": {
                "items": "#overly_realistic:corpse_harvest_level_1"
              }
            }
          }
        },
        {
          "condition": "minecraft:random_chance",
          "chance": 0.2
        }
      ]
    },
    {
      "condition": "minecraft:all_of",
      "terms": [
        {
          "condition": "minecraft:entity_properties",
          "entity": "attacking_player",
          "predicate": {
            "slots": {
              "weapon.mainhand": {
                "items": "#overly_realistic:corpse_harvest_level_2"
              }
            }
          }
        },
        {
          "condition": "minecraft:random_chance",
          "chance": 0.1
        }
      ]
    }
  ]
}